Bug 132892 - RFE: RFE: add better-sounding patchset to timidity++
RFE: RFE: add better-sounding patchset to timidity++
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 17:23 EDT by Kyrre Ness Sjøbæk
Modified: 2014-03-16 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 07:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2004-09-18 17:23:24 EDT
Description of problem:
There has been a discussion on the fedora-devel mailing list about
adding better midi support to Fedora, and this is what i came up with.

I suggested using the timidity softsynt (which seems to have been
excluded from fc2 standard install) - as this works without a fiddle
(you can't say that about getting an AWE card to work - and still
timidity sounds better).

Well: here is how i did it:

1. download the eawpats src.rpm (all other links was broken). Try to
install it with rpm -ivh, find that it broke timidity (made it only spew
a lot of garbage, f.ing up my terminal, and generally not do anything
usefull). Reinstall timidity.
2. Open the source-rpm in fileroller. Find a .rar file inside it. Open
that in file-roller.
3. Extract the rar. Encountered a bug in file-roller: if i opened a zip
file (the src.rpm) in file-roller, and then opened another zip (the RAR
archive inside), everything works out well. But if i then close the
first window, and THEN try to unzip (unrar acctually) the rar, it simply
does nothing. Absolutly nothing - think this might be some of the same
case as this bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=132478
4. Try again, and extract the .rar into /usr/local/eawpats
5. Read "install.txt" carefully, and insert those lines at the end of
/usr/share/timidity/timidity.cfg:

#extra patches
dir /usr/local/eawpats
source gravis.cfg
source gsdrums.cfg
source gssfx.cfg
source xgmap2.cfg

6. Play a midifile:
[kyrre@kyrre MIDI]$ timidity -int Pink\ Floyd/Time.mid
(the -int option gives a nice ncurces "gui" which shows some stats etc)

The patchset is found at:
http://ccrma.stanford.edu/planetccrma/mirror/redhat/linux/planetccrma/all/en/os/SRPMS/timidity-eawpats-12-1.src.rpm

It would certainly be great if timidity with a really good sounding
patchset was included in FC3 (can you please change the version field
to the correct for this?)

Then there is just ONE thing remaining: writing a good (GTK?) app to
control timidity, as kmidi is dead...
Comment 1 Matthew Miller 2005-04-26 11:07:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Kyrre Ness Sjøbæk 2005-04-26 13:08:03 EDT
stupid me. Should probably been closed, not moved to fc3. but as the same
problem exists in that release as well...

Bill?
Comment 3 Matthew Miller 2005-04-26 14:08:51 EDT
Hmmm. Midi isn't my thing, but could this bug maybe be re-summarized as "RFE:
add better-sounding patchset to timidity++"?

Also, Google tells me there seems to be some doubt about the legal status of the
"eawpats" files you're suggesting -- which means they really can't get included
in Fedora at all.
Comment 4 Kyrre Ness Sjøbæk 2005-04-27 15:09:14 EDT
Okay. Didn't know that - but something surely is possible to find. timidity only
requires some dead-standard SoundFonts, right? I think i know somebody i can ask
about those, maybe he'll even make some good ones :)

BTW was timitity included in FC3? I'm stuch on FC2 for the moment, need some
kind of external storage to move my data before jumping ship (to FC4, probably.
Isn't that long wait anyway, and FC2 is pretty nice :) ) Probably the best thing
would be to have some midi-support in gstreamer - and have it decide "if MIDI
soundboard, use that, else use timidity" - possible with some kind of
possibility for manual override for baaaad sounding boards such as SB16 etc.

Those midi paches could also be used for uploading to soundboards that requires
that (my AWE64 won't play any midi unless it's initialized by uploading sound
patches to it's internal RAM. A AWE 32 i have lying around even has RAM
expansion slots :P )
Comment 5 Matthew Miller 2005-04-27 15:45:22 EDT
Timidity is in FC2, FC3, and the FC4 devel tree. This doesn't sound like
something that'd be likely to be brought into the current release but maybe
could be added in the future.

And, removing myself from the CC list here, because as I said, MIDI isn't my
thing. :)
Comment 6 Kyrre Ness Sjøbæk 2006-04-21 17:58:20 EDT
Any decissions on this?
Comment 7 Thomas Woerner 2007-07-23 07:48:58 EDT
The problem with this patchset is, that there are parts, which are not usable
for us because of license problems.

I am sorry, but I dan not fix this.

Note You need to log in before you can comment on or make changes to this bug.